# Syscalls
.equ SYSCALL_EXIT,	1

        .globl _start

_start:

	ldr	r0,=100000000

divide:
@ From ARM7-TDMI-manual
	mov	r1,r0

	sub	r2,r1,#10
	sub	r1,r1,r1,lsr #2
	add	r1,r1,r1,lsr #4
	add	r1,r1,r1,lsr #8
	add	r1,r1,r1,lsr #16

	mov	r1,r1,lsr #3		@ divide by 8

	add	r3,r1,r1,asl #2		@ Multiply by 10
	subs	r2,r2,r3,asl #1		@ Subtract to get R

	addpl	r1,r1,#1		@ adjust if R too big
	addmi	r2,r2,#10

result:

	subs	r0,r0,#1
	bne	divide

        #================================
        # Exit
        #================================
exit:
	mov	r0,#5
        mov     r7,#SYSCALL_EXIT	@ put exit syscall number in r7
	swi	0x0			@ and exit



